Update a subnetwork for a network pool

PUT/v1/network_pools/{network_pool_id}/subnetworks/{network_id}

A PUT request sent to the /v1/network_pools/{network_pool_id}/subnetworks/{network_id} endpoint updates a network. The network pool and subnet IDs are required path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
network_pool_id
string

A unique identifier of the pool that contains a subnetwork.

network_id
string

A unique identifier of a subnetwork.

Request Body

FieldDetails
title?
string

Give a new name to the network.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/network_pools/4zbq7rep/subnetworks/MYer86bO" \  -H "Content-Type: application/json" \  -d '{    "title": "updated-network-title"  }'
{  "id": "MYer86bO",  "network_pool_id": "4zbq7rep",  "title": "updated-network-title",  "cidr": "100.10.32.0/29",  "attached": true,  "interface_type": "public",  "updated_at": "2026-05-28T06:56:09Z",  "created_at": "2026-05-28T06:56:09Z"}